## Apache Zeta Components Manual :: Docs For Class ezcDebugException

### Debug::ezcDebugException

### Class ezcDebugException

General exception class for the Debug component.

All exceptions in the Debug component extend this class.

Source for this file: /Debug/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcDebugException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcDebugOperationNotPermittedException | Exception thrown if an operation is not permitted.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3